Uploaded image for project: 'Qt Creator'
  1. Qt Creator
  2. QTCREATORBUG-22614

[REG 4.9 -> 4.10] Wrong import in project created by wizard

    XMLWordPrintable

    Details

    • Commits:
      178e57129d9197e938d344de5db443aa1f039f58 (qt-creator/qt-creator/4.10)

      Description

      1. Start Creating a new "Qt Quick Application - Empty" using Creator's wizard.
      2. On the page "Define Project Details", select the minimum Qt version 5.6.
      3. Proceed with defaults until you finished the wizard.
        The created file main.qml start with these lines:
        import QtQuick 2.6
        import QtQuick.Window 2.6
        

        You will not be able to run the project, because Qt 5.6 only contained QtQuick.Window 2.2.

      The imports should match what is present in the minimum Qt version. Creator 4.9 did this right.

      Found by Squish test tst_qtquick_creation.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            con Eike Ziller
            Reporter:
            rlohning Robert Löhning
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes